Skip to main content
GET
/
v1
/
app-connections
cURL
curl --request GET \
  --url https://cloud.activepieces.com/api/v1/app-connections \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "created": "<string>",
      "updated": "<string>",
      "externalId": "<string>",
      "displayName": "<string>",
      "type": "OAUTH2",
      "pieceName": "<string>",
      "projectIds": [
        "<string>"
      ],
      "scope": "PROJECT",
      "status": "ACTIVE",
      "pieceVersion": "<string>",
      "preSelectForNewProjects": true,
      "usingSecretManager": true,
      "platformId": "<string>",
      "ownerId": "<string>",
      "owner": {
        "id": "<string>",
        "email": "<string>",
        "firstName": "<string>",
        "status": "ACTIVE",
        "platformRole": "ADMIN",
        "lastName": "<string>",
        "created": "<string>",
        "updated": "<string>",
        "externalId": "<string>",
        "platformId": "<string>",
        "lastActiveDate": "<string>",
        "imageUrl": "<string>"
      },
      "metadata": {},
      "flowIds": [
        "<string>"
      ]
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your api key generated from the admin console

Query Parameters

cursor
string
projectId
string
required
scope
enum<string>
Available options:
PROJECT,
PLATFORM
pieceName
string
displayName
string
status
enum<string>[]
required
Available options:
ACTIVE,
MISSING,
ERROR
limit
number

Response

200 - application/json

Default Response

data
object[]
required
next
string | null
previous
string | null